UK(4)

NAME
uk - SCSI user-level driver

SYNOPSIS
uk* at scsibus? target ? lun ?

DESCRIPTION
The uk driver provides support for a process to address devices on the SCSI bus for which there is no configured driver.

A SCSI adapter must also be separately configured into the system before this driver makes sense.

KERNEL CONFIGURATION
If a count is given, that number of uk devices will be configured into the NetBSD kernel.

IOCTLS
The uk driver has no ioctls of its own but rather acts as a medium for the generic scsi(4) ioctls. These are described in <sys/scsiio.h>.

FILES
/dev/uk[0-255]
    unknown SCSI devices.

DIAGNOSTICS
All scsi(4) debug ioctls work on uk devices.

SEE ALSO
ioctl(2), cd(4), ch(4), scsi(4), sd(4), ss(4), st(4)

HISTORY
The uk driver appeared in 386BSD 0.1.